Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.varia.deployment
Interface FoeDeployerMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean, org.jboss.deployment.SubDeployerMBean

All Known Implementing Classes:
  FoeDeployer

public interface FoeDeployerMBean
extends org.jboss.deployment.SubDeployerMBean

MBean interface.

See Also:
  `Convertor`

Field Summary
`static javax.management.ObjectName` | `OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`boolean` | `accepts(org.jboss.deployment.DeploymentInfo di)` Returns true if the there is a converter available to convert the deployment unit.
`void` | `addConvertor(Convertor converter)` Add a new conveter to the list.
`void` | `create(org.jboss.deployment.DeploymentInfo di)` At the create phase, the conversion and packing is done.
`void` | `destroy(org.jboss.deployment.DeploymentInfo di)`
`void` | `init(org.jboss.deployment.DeploymentInfo di)` At the init phase the deployment unit and its subdeployment units are unpacked.
`void` | `removeConvertor(Convertor converter)` Removes a conveter from the list of converters.
`void` | `start(org.jboss.deployment.DeploymentInfo di)` This method stops this deployment because it is not of any use anymore (conversion is done)
`void` | `stop(org.jboss.deployment.DeploymentInfo di)`

Methods inherited from interface org.jboss.deployment.SubDeployerMBean
`getRelativeOrder, getSuffixes, setRelativeOrder, setSuffixes`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### OBJECT_NAME

    public static final javax.management.ObjectName OBJECT_NAME

Method Detail

### accepts

    public boolean accepts(org.jboss.deployment.DeploymentInfo di)

  Returns true if the there is a converter available to convert the deployment unit.

  Specified by:
    `accepts` in interface `org.jboss.deployment.SubDeployerMBean`

### init

    public void init(org.jboss.deployment.DeploymentInfo di)
              throws org.jboss.deployment.DeploymentException

  At the init phase the deployment unit and its subdeployment units are unpacked.

  Specified by:
    `init` in interface `org.jboss.deployment.SubDeployerMBean`
  Throws:
    `org.jboss.deployment.DeploymentException`

### create

    public void create(org.jboss.deployment.DeploymentInfo di)
                throws org.jboss.deployment.DeploymentException

  At the create phase, the conversion and packing is done.

  Specified by:
    `create` in interface `org.jboss.deployment.SubDeployerMBean`
  Throws:
    `org.jboss.deployment.DeploymentException`

### start

    public void start(org.jboss.deployment.DeploymentInfo di)
               throws org.jboss.deployment.DeploymentException

  This method stops this deployment because it is not of any use anymore (conversion is done)

  Specified by:
    `start` in interface `org.jboss.deployment.SubDeployerMBean`
  Throws:
    `org.jboss.deployment.DeploymentException`

### stop

    public void stop(org.jboss.deployment.DeploymentInfo di)

  Specified by:
    `stop` in interface `org.jboss.deployment.SubDeployerMBean`

### destroy

    public void destroy(org.jboss.deployment.DeploymentInfo di)

  Specified by:
    `destroy` in interface `org.jboss.deployment.SubDeployerMBean`

### addConvertor

    public void addConvertor(Convertor converter)

  Add a new conveter to the list. If the same converter is added, this new one won't be added, meaning everything stays the same. This method is normally called by a Converter to be called by this deployer to convert.

  Parameters:
    `converter` - New Converter to be added

### removeConvertor

    public void removeConvertor(Convertor converter)

  Removes a conveter from the list of converters. If the converter does not exist nothing happens. This method is normally called by a Converter to be removed from the list if not serving anymore.

  Parameters:
    `converter` - Conveter to be removed from the list

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.